<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description
@version 2.0
CU: Comunicar notificación de resolución
página en la que se registra la comunicación de la comunicación de la resolución

@modified by leidy.gonzalez:: #14396:: 29/09/2015 Se agrega campo persona que atendio 
cuando el medio de de notificacion es Por entrega Personal
-->

<h:form id="registroComunicNotifForm" onkeypress="return event.keyCode != 13;"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:messages id="msgsRCN" showDetail="false" globalOnly="false" />

    <h:panelGrid columns="1" cellspacing="10" width="100%">

        <h:panelGrid columns="4" width="100%" cellspacing="10" id="panelContent">
            <h:outputLabel
                value="Medio por el cual se comunicó la notificación:"
                styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            <h:selectOneMenu id="medioDeEnvio" label="Medio de envio"
                             value="#{comunicacionNotificacionResolucion.medioComunicNotif}"
                             style="width:150px;"
                             required="true">
                <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                <f:selectItems value="#{general.tramiteDocumentoMeNoFi}" />
                <p:ajax update="panelContent" />
            </h:selectOneMenu>
            <p:message for="medioDeEnvio" display="icon" id="medioDeEnvioMsg" />

            <h:outputLabel
                value="Fecha de comunicación de notificación de resolución:"
                styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            <p:calendar id="fechaNotificacion" effect="explode" 
                        style="width:150px;" maxdate="#{general.fechaActual}" title="#{general.formatoFechaUsuario}"
                        locale="es_CO" value="#{comunicacionNotificacionResolucion.fechaComunicNotif}"
                        navigator="true" label="Fecha de notificación" showOn="both"
                        required="true" pattern="#{general.formatoFechaComponenteCalendar}"/>
            <p:message for="fechaNotificacion" display="icon" id="fechaMsg" />

            <h:outputLabel value="Nombre de persona que atendió:"
                           id="personaAtendioLabel" styleClass="outputLabelStyle"
                           rendered="#{comunicacionNotificacionResolucion.medioComunicNotif eq '2'}"/>
            <h:outputLabel value="*" styleClass="requiredLabelStyle"
                           rendered="#{comunicacionNotificacionResolucion.medioComunicNotif eq '2'}"/>
            <h:inputText id="personaAtendio"
                         rendered="#{comunicacionNotificacionResolucion.medioComunicNotif eq '2'}"
                         label="Persona que atendió" 
                         style="width:150px;" 
                         value="#{comunicacionNotificacionResolucion.personaAtendio}" maxlength="95" required="true"/>
            <p:message for="personaAtendio" display="icon" id="personaAtendioMsg" />

        </h:panelGrid>

        <h:panelGrid columns="1" width="100%" cellspacing="10">
            <h:outputLabel value="Observación:" styleClass="outputLabelStyle" />
            <h:inputTextarea id="observacion" onkeydown="controlarNroChars(this, 600, true)"
                             onkeyup="controlarNroChars(this, 600, true)"
                             value="#{comunicacionNotificacionResolucion.observacionesComunicNotif}"
                             style="width:600px;height:80px;" />
        </h:panelGrid>

        <h:panelGrid id="panelButtons" columns="3" cellspacing="10">
            <p:commandButton id="aceptarRegistroBtn1" value="Aceptar"
                             icon="ui-icon-disk" title="Registra la comunicación de notificación"
                             style="width:120px;height:20px;"
                             update=":comunicacionNotificacionDeResolucionForm:btnPanel, :comunicacionNotificacionDeResolucionForm:solicitantesTramiteDT, msgsRCN, medioDeEnvioMsg, fechaMsg, :comunicacionNotificacionDeResolucionForm"
                             action="#{comunicacionNotificacionResolucion.registrarComunicacionNotificacion}"
                             oncomplete="handleCompleteSIC(xhr, status, args, registroComunicacionNotificacionWV, false)" />

            <p:commandButton id="verOficioBtn" value="Ver comunicación"
                             title="Ver comunicación de la notificación" icon="ui-icon-script"
                             style="width:120px;height:20px;"
                             update="msgsRCN, :viewReport:vistaMemoForm"
                             action="#{comunicacionNotificacionResolucion.consultarDocumentoComunicacionNotificacion}"
                             process="@this, panelButtons"
                             oncomplete="visorReporteWV.show();" />
        </h:panelGrid>
    </h:panelGrid>

</h:form>